import request from '@/utils/request'

// 分页查询任务标签列表
export function pageListTag(query) {
  return request({
    url: '/task/tag/pageList',
    method: 'get',
    params: query
  })
}

// 查询任务标签列表
export function listTag(query) {
  return request({
    url: '/task/tag/list',
    method: 'get',
    params: query
  })
}

// 查询任务标签详细
export function getTag(id) {
  return request({
    url: '/task/tag/' + id,
    method: 'get'
  })
}

// 新增任务标签
export function addTag(data) {
  return request({
    url: '/task/tag',
    method: 'post',
    data: data
  })
}

// 修改任务标签
export function updateTag(data) {
  return request({
    url: '/task/tag',
    method: 'put',
    data: data
  })
}

// 删除任务标签
export function delTag(id) {
  return request({
    url: '/task/tag/' + id,
    method: 'delete'
  })
}

// 导出任务标签
export function exportTag(query) {
  return request({
    url: '/task/tag/' + 'export',
    method: 'post',
    params: query
  })
}
